sysmonpsu: XSysMonPsu_Config Struct Reference

| sysmonpsu Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XSysMonPsu_Config Struct Reference

This typedef contains configuration information for a device. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
u32 | BaseAddress
| Register base address. More...
u16 | InputClockMHz
| Input clock frequency. More...

## Detailed Description

This typedef contains configuration information for a device.

## Field Documentation

u32 XSysMonPsu_Config::BaseAddress

Register base address.

Referenced by SysMonPsuAMSExample(), SysMonPsuIntrExample(), SysMonPsuPolledPrintfExample(), SysMonPsuSingleChannelIntrExample(), XSysMonPsu_CfgInitialize(), XSysMonPsu_GetAdcClkDivisor(), XSysMonPsu_GetAdcData(), XSysMonPsu_GetAlarmEnables(), XSysMonPsu_GetAlarmThreshold(), XSysMonPsu_GetAvg(), XSysMonPsu_GetCalibCoefficient(), XSysMonPsu_GetExtenalMux(), XSysMonPsu_GetMinMaxMeasurement(), XSysMonPsu_GetMonitorStatus(), XSysMonPsu_GetSeqAcqTime(), XSysMonPsu_GetSeqAvgEnables(), XSysMonPsu_GetSeqChEnables(), XSysMonPsu_GetSeqInputMode(), XSysMonPsu_GetSequencerEvent(), XSysMonPsu_GetSequencerMode(), XSysMonPsu_GetStatus(), XSysMonPsu_InitInstance(), XSysMonPsu_IntrClear(), XSysMonPsu_IntrDisable(), XSysMonPsu_IntrEnable(), XSysMonPsu_IntrGetEnabled(), XSysMonPsu_IntrGetStatus(), XSysMonPsu_Reset(), XSysMonPsu_SetAdcClkDivisor(), XSysMonPsu_SetAlarmEnables(), XSysMonPsu_SetAlarmThreshold(), XSysMonPsu_SetAvg(), XSysMonPsu_SetExtenalMux(), XSysMonPsu_SetPSAutoConversion(), XSysMonPsu_SetSeqAcqTime(), XSysMonPsu_SetSeqAvgEnables(), XSysMonPsu_SetSeqChEnables(), XSysMonPsu_SetSeqInputMode(), XSysMonPsu_SetSequencerEvent(), XSysMonPsu_SetSequencerMode(), XSysMonPsu_SetSingleChParams(), XSysMonPsu_StartAdcConversion(), and XSysMonPsu_UpdateAdcClkDivisor().

u16 XSysMonPsu_Config::DeviceId

Unique ID of device.

Referenced by XSysMonPsu_CfgInitialize(), and XSysMonPsu_InitInstance().

u16 XSysMonPsu_Config::InputClockMHz

Input clock frequency.

Referenced by XSysMonPsu_CfgInitialize(), and XSysMonPsu_UpdateAdcClkDivisor().